Bug 546773 - SELinux is preventing /usr/bin/iceauth "getattr" access on /tmp/dcopPfMg8b.
Summary: SELinux is preventing /usr/bin/iceauth "getattr" access on /tmp/dcopPfMg8b.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:8b65a6ba057...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-11 21:59 UTC by Ayrton Araújo
Modified: 2010-03-16 02:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 20:42:25 UTC
Type: ---


Attachments (Terms of Use)

Description Ayrton Araújo 2009-12-11 21:59:35 UTC
Sumário:

SELinux is preventing /usr/bin/iceauth "getattr" access on /tmp/dcopPfMg8b.

Descrição detalhada:

[SElinux está em modo permissivo. Esse acesso não foi negado.]

SELinux denied access requested by iceauth. It is not expected that this access
is required by iceauth and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Permitindo acesso:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Informações adicionais:

Contexto de origem            unconfined_u:unconfined_r:iceauth_t:s0-s0:c0.c1023
Contexto de destino           unconfined_u:object_r:tmp_t:s0
Objetos de destino            /tmp/dcopPfMg8b [ file ]
Origem                        iceauth
Caminho da origem             /usr/bin/iceauth
Porta                         <Desconhecido>
Máquina                      (removed)
Pacotes RPM de origem         xorg-x11-server-utils-7.4-13.fc12
Pacotes RPM de destino        
RPM da política              selinux-policy-3.6.32-41.fc12
Selinux habilitado            True
Tipo de política             targeted
Modo reforçado               Permissive
Nome do plugin                catchall
Nome da máquina              (removed)
Plataforma                    Linux hell 2.6.31.5-127.fc12.i686.PAE #1 SMP Sat
                              Nov 7 21:25:57 EST 2009 i686 i686
Contador de alertas           4
Visto pela primeira vez em    Sex 11 Dez 2009 12:19:44 AMT
Visto pela última vez em     Sex 11 Dez 2009 14:39:40 AMT
ID local                      643e58b7-1342-4e5c-833f-9ca51599e71e
Números de linha             

Mensagens de auditoria não p 

node=(removed) type=AVC msg=audit(1260556780.597:41511): avc:  denied  { getattr } for  pid=18832 comm="iceauth" path="/tmp/dcopPfMg8b" dev=sda4 ino=123405 scontext=unconfined_u:unconfined_r:iceauth_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:tmp_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1260556780.597:41511): arch=40000003 syscall=197 success=yes exit=0 a0=7 a1=bfae32b8 a2=3c4ff4 a3=9c5f048 items=0 ppid=18831 pid=18832 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="iceauth" exe="/usr/bin/iceauth" subj=unconfined_u:unconfined_r:iceauth_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,iceauth,iceauth_t,tmp_t,file,getattr
audit2allow suggests:

#============= iceauth_t ==============
allow iceauth_t tmp_t:file getattr;

Comment 1 Daniel Walsh 2009-12-12 12:12:49 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-59.fc12.noarch

Comment 2 Fedora Update System 2009-12-16 13:54:37 UTC
selinux-policy-3.6.32-59.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-59.fc12

Comment 3 Fedora Update System 2009-12-18 04:42:48 UTC
selinux-policy-3.6.32-59.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13384


Note You need to log in before you can comment on or make changes to this bug.